# coding: utf-8
'''
LIST PERMISSIONS

Lists all permissions on all resources, role permissions on all resources, or for a specified resource.

**Restriction:**

-   Only superusers can list all permissions.
-   Requires `DESCRIBE` permission on the target resources and roles.

Synopsis


LIST permission
  [ ON resource_name ]
  [ OF role_name ] 
  [ NORECURSIVE ] ;


**Tip:** Omit `ON resource_name to display all related resources` or `OF role_name` to display all related roles.

privilege
    Permissions granted on a resource to a role; grant a privilege at any level of the resource hierarchy. The full set of available privileges is:

    -   ALL PERMISSIONS
    -   ALTER
    -   AUTHORIZE
    -   CREATE
    -   DESCRIBE
    -   DROP
    -   EXECUTE
    -   MODIFY
    -   PROXY.EXECUTE
    -   PROXY.LOGIN
    -   SEARCH.ALTER
    -   SEARCH.COMMIT
    -   SEARCH.CREATE
    -   SEARCH.DROP
    -   SEARCH.REBUILD
    -   SEARCH.RELOAD
    -   SELECT

resource_name
    The DataStax EnterpriseDataStax Distribution of Apache Cassandra™ database objects to which permissions are applied. Database resources have modelled hierarchy. Grant permissions on a resource higher in the chain to automatically grant that same permission on all resources lower down.

    **Note:** Not all privileges apply to every type of resource. For instance, `EXECUTE` is only relevant in the context of functions, MBeans, RPC, and authentication schemes. Attempting to grant privileges on a resource that the permission is not applicable results in an error.

role_name
    Selects a role. If the role name has capital letters or special characters enclose it in single quotes.

NORECURSIVE
    Only display permissions granted to the role. By default permissions checks are recursive; it shows direct and inherited permissions.


'''
